<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>SDLTRS Introduction</title>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
</head>

<body>
<table border="0" cellpadding="0" cellspacing="20">
  <tr>
    <td><img src="images/TRS-80.png" alt="TRS-80 Model III"></td>
    <td><h1>SDLTRS</h1><h2>Introduction</h2>
      <a href="index.html">Introduction</a> |
      <a href="Features.html">Features</a> |
      <a href="Options.html">Options</a> |
      <a href="TextGUI.html">Text GUI</a> |
      <a href="KnownBugs.html">Known Bugs</a> |
      <a href="ReleaseHistory.html">Release History</a> |
      <a href="Credits.html">Credits</a></td>
  </tr>
</table>

<p>SDLTRS is a Radio Shack TRS-80 Model I/III/4/4P emulator for BSDs, Linux
and Windows. It is a port of the very capable xtrs emulator for Unix by Tim
Mann. It includes lower case, the real time clock, Hi-Res graphics, serial
port, parallel printer, mouse, cassette, sound and music output, 5" and 8"
floppy disk drives in single and double density, and even hard disk drives.
The emulated floppy and hard disk file formats are compatible with the
popular MSDOS-based emulators by Jeff Vavasour, Matthew Reed, and David Keil,
and (if you choose a capable enough file format), all features of the
original TRS-80 floppy disk controller are emulated.</p>

<p>SDLTRS provides a text menu based GUI which is more user friendly
interface than the interface of xtrs and some other enhancements, such as the
ability to copy and paste from the host to/from the emulator, the ability to
save and load the emulator state, indicator LED's.</p>

<p>There is a lot of help available in the other HTML pages of this help
which have links available at the top of the screen. Since it is based on
xtrs, <a href="http://www.tim-mann.org/xtrs.html">Tim Mann's web page</a>
is also a good resource.</p>

<ul>
  <li>ROM images for Model I/III/4 are available elsewhere on the Web.
      I do not know the copyright status of these ROM images, and I have no
      connection with the sites that offer them. Some
      <a href="http://www.classiccmp.org/cpmarchives/trs80/mirrors/www.discover-net.net/~dmkeil/">
      MS-DOS based TRS-80 emulators</a> come with Model I and Model III/4 ROM
      image files. These files will work in SDLTRS too.</li>
  <br>
  <li>Alternatively, for Model III or Model 4 emulation, SDLTRS can use a
      MODELA/III file as its ROM image. This is not identical to a real
      Model III/4 ROM, but is close enough that almost 100% of TRS-80
      programs will work with it.
      The <a href="http://www.tim-mann.org/trs80/ld4-631.zip">LS-DOS 6.3.1H</a>
      operating system disk that I have permission to distribute includes a
      MODELA/III file. You can boot this operating system using SDLTRS's Model
      4P emulation and export the file for use in Model III and 4 emulation, or
      for convenience, <a href="http://www.tim-mann.org/trs80/ld4-631.iii">
      download the MODELA/III file</a> directly.</li>
  <br>
  <li>For Model 4P emulation, you can use Pete Cervasio's free minimal
      Model 4P boot ROM, now supplied with SDLTRS; however, the free ROM can
      boot only Model 4 operating systems (not Model III), and only from
      floppy disks. The original Model 4P boot ROM is copyrighted software,
      but if you own a Model 4P, you can copy its boot ROM onto a floppy for
      personal use using the instructions and tools in this
      <a href="http://www.tim-mann.org/trs80/doc/rom4p.zip">article</a>,
      originally published in the Misosys Quarterly 1.2.</li>
  <br>
  <li>Lots of information about the EACA Video Genie, the EG 3200 Genie III and
      the extended Model I clones TCS SpeedMaster/Genie IIs and Genie IIIs, can
      be found on <a href="https://oldcomputers-ddns.org">oldcomputers-ddns.org</a>
      in the EACA directory.</li>
</ul>

</body>
</html>
